Bug 498864 - F11: anaconda issues: no upgrade, misidentifies existing layout, cannot find any linux partitons in rescue.
F11: anaconda issues: no upgrade, misidentifies existing layout, cannot find ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
All Linux
low Severity urgent
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-04 02:16 EDT by Gerry Reno
Modified: 2010-01-20 13:41 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-20 13:41:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs from no linux partitions in rescue mode (25.93 KB, application/x-compressed-tar)
2009-05-04 02:25 EDT, Gerry Reno
no flags Details

  None (edit)
Description Gerry Reno 2009-05-04 02:16:20 EDT
Description of problem:
Having some problems with F11 (preview) and anaconda.
1. There is no selection for 'upgrade'.  Tried going from F10 to F11.  No upgrade selection.
2. On our machines with multiple RAID and multiple LVM, the druid always gets the existing disk partitioning layout wrong.  It totally lost three of our Volume Groups.  This is when selecting Custom Setup at the partitoning screen.
3. When trying Rescue mode, we get a similar problem with our machines with multiple RAID and multiple LVM.  It cannot find any Linux partitions.  Once it puts me in a shell I can can slowly work up to where I get the whole RAID and LVM setup assembled and mounted.  But anaconda seems unable to do this.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.see description.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Gerry Reno 2009-05-04 02:25:40 EDT
Created attachment 342275 [details]
logs from no linux partitions in rescue mode
Comment 2 Gerry Reno 2009-05-04 02:31:19 EDT
Check the program.log.  It's trying to assemble the arrays using bad names.
Comment 3 Bug Zapper 2009-06-09 11:06:08 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Andy Lindeberg 2009-06-09 11:21:21 EDT
Is this still a problem in the final release of F11?
Comment 5 Gerry Reno 2009-06-09 13:09:48 EDT
Andy,
  I'm swamped at the moment and haven't had time to test it yet.  I'll try to get this next week.

Gerry
Comment 6 Noura El hawary 2009-06-09 17:48:21 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.